Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.encoder.psd
Class PSDEncoderFactory

    java.lang.Object
      |
      +--com.sun.jimi.core.JimiEncoderFactorySupport
            |
            +--com.sun.jimi.core.encoder.psd.PSDEncoderFactory

public class PSDEncoderFactory
extends JimiEncoderFactorySupport

Encoder factory implementation for PSD

Field Summary
`static java.lang.String[]` | `FILENAME_EXTENSIONS`
`static java.lang.String` | `FORMAT_NAME`
`static java.lang.String[]` | `MIME_TYPES`

Constructor Summary
`PSDEncoderFactory()`

Method Summary
`boolean` | `canEncodeMultipleImages()` Check whether there is multi-image support.
`JimiEncoder` | `createEncoder()` Instantiate an encoder for the format.
`java.lang.String[]` | `getFilenameExtensions()` Get the filename-extensions belonging to this format.
`java.lang.String` | `getFormatName()` Get the name of the format.
`java.lang.String[]` | `getMimeTypes()` Get the mime-types for the format.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MIME_TYPES

    public static final java.lang.String[] MIME_TYPES

### FILENAME_EXTENSIONS

    public static final java.lang.String[] FILENAME_EXTENSIONS

### FORMAT_NAME

    public static final java.lang.String FORMAT_NAME

Constructor Detail

### PSDEncoderFactory

    public PSDEncoderFactory()

Method Detail

### getMimeTypes

    public java.lang.String[] getMimeTypes()

  Get the mime-types for the format. This type should not include any "x-" even for non-standard formats.
  Returns:
    the mimetypes

### getFilenameExtensions

    public java.lang.String[] getFilenameExtensions()

  Get the filename-extensions belonging to this format. e.g, "jpg", "jpeg"
  Returns:
    an array of extension strings

### getFormatName

    public java.lang.String getFormatName()

  Get the name of the format. e.g., "Graphics Interchange Format (GIF)"
  Returns:
    the name

### canEncodeMultipleImages

    public boolean canEncodeMultipleImages()

  Check whether there is multi-image support.
  Returns:
    true if the encoder can encode multiple images

### createEncoder

    public JimiEncoder createEncoder()

  Instantiate an encoder for the format.
  Returns:
    a decoder instance

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD